package org.springblade.system.mapper;

import org.springblade.common.core.domain.entity.SystemConfig;
import org.springblade.common.core.domain.entity.SystemConfigVo;

import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2025/9/25 - 16:18
 */
public interface ISystemConfigMapper {
    List<SystemConfig> list(SystemConfig config);

    Integer add(SystemConfig config);

    Integer update(SystemConfig config);

    Integer del(SystemConfig config);

    List<SystemConfigVo> listConfig();
}
